@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300&family=Roboto:wght@300&display=swap');

:root {
  --primary-clr: #0095daff;
  --secondary-clr: black;
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Montserrat', sans-serif;
  scroll-behavior: smooth;
}
.top {
  position: fixed;
  right: 10px;
  bottom: 45px;
  visibility: hidden;
  opacity: 0;
  z-index: 1000000;
  transition: 0.5s;
}

.top a{
  color: #0095daff;
  font-size: 1.5rem;


}
.top.active{
  visibility: visible;
  opacity: 1;
}


/* NAVIGATION */

.nav-wrap{

  width: 100%;
  height: 150px;
  background-color: var(--secondary-clr);
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.logo a img{
  width: 200px;
  height: 55px;
  margin-left: 5rem;
}

#navbar{
  display: flex;
  align-items: center;
}

#navbar ul{
  margin-right: 4rem;
}

#navbar ul li{
list-style: none;
display: inline-block;
margin-right: 2rem;
}

#navbar ul li a{
text-decoration: none;
text-transform: uppercase;
color: white;
font-size: 1rem;
}

#navbar ul li a:hover{
  color: var(--primary-clr);
}

.social{
  margin-right: 2rem;
}

.social a{
  font-size: 1.2rem;
  color: var(--primary-clr);
  margin-right: 1rem;
}

.social a:hover{
  color: white;
}
.quote{
  width: 10rem;
  height: 3.6rem;
  border: 3px solid #0095daff;
  text-align: center;
  text-transform: uppercase;
  margin-right: 5rem;
  padding-top: 1rem;

}
.quote:hover {
  border: 3px solid white;
}

.quote:hover a{
  color: var(--primary-clr);
}

.quote a{
  color: white;
  text-decoration: none;
  margin-top: 100px;
  font-size: 1rem;
}




.hamburger {
  display: none;
  cursor: pointer;
  color: var(--primary-clr);
  font-size: 1.6rem;
  background-color: black;
  margin-right: 30px;
  border: none;

}

 /* HEADER */

 .main-header{
 overflow: hidden;
 width: 100%;
 height: 100vh;
 background-image: url(img/kitchen_tiling_04.jpg);
 background-position: bottom;
 background-repeat: no-repeat;
 background-size: cover;
 text-align: center;
 background-attachment: fixed;
 }

 .main-header h1{
 padding-top: 5.5rem;
   font-size: 3.2rem;
   color: white;
 }

 .main-header p{
 padding-top: 2rem;
 padding-bottom: 8rem;
   font-size: 1.7rem;
   color: white;
 }

 .main-header a{
   text-decoration: none;
   font-size: 1.3rem;
   letter-spacing: 0.1rem;
   text-transform: uppercase;
   color: white;
   background: #0095daff;
   padding: 0.8rem 2rem;
   border-radius: 5px;
 }
 .main-header a:hover{
   color: var(--primary-clr);
   background: white;
   font-weight: 800;
   transition: 0.2s ease-in;

 }

 .galery-header{
 overflow: hidden;
 width: 100%;
 height: 100vh;
 background-image: url(img/bg2.jpg);
 background-position: bottom;
 background-repeat: no-repeat;
 background-size: cover;
 text-align: center;
 background-attachment: fixed;
 }

 .galery-header h1{
   padding-top: 5.5rem;
     font-size: 3.2rem;
     color: white;
 }

 .galery-header p{
   padding-top: 2rem;
   padding-bottom: 8rem;
     font-size: 1.7rem;
     color: white;
 }

 .galery-header a{
   text-decoration: none;
   font-size: 1.3rem;
   letter-spacing: 0.1rem;
   text-transform: uppercase;
   color: white;
   background: #0095daff;
   padding: 0.8rem 2rem;
   border-radius: 5px;
 }
 .galery-header a:hover{
   color: var(--primary-clr);
   background: white;
   font-weight: 800;
   transition: 0.2s ease-in;

 }


 .galery-wrap{
   width: 100%;
   height: auto;
   display: grid;
   grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
   grid-gap: 15px;
   background-color: black;
   padding: 50px;

 }

 .img-box img{
   width: 100%;
   height: auto;
 }

 video{
   width: 100%;
   height: 600px;
 }

 .kitchen-holder{
   width: 100%;
   height: auto;
   text-align: center;
   background-color: black;
 }
 .kitchen-holder h3{
   font-size: 2.2rem;
   color: white;
   padding-top: 4rem;
   padding-bottom: 2rem;
 }

 .bathroom-holder{
   width: 100%;
   height: auto;
   text-align: center;
   background-color: black;
 }
 .bathroom-holder h3{
   font-size: 2.2rem;
   color: white;
   padding-top: 4rem;
   padding-bottom: 2rem;
 }

 .other-holder{
   width: 100%;
   height: auto;
   text-align: center;
   background-color: black;
 }
 .other-holder h3{
   font-size: 2.2rem;
   color: white;
   padding-top: 4rem;
   padding-bottom: 2rem;
 }


 .service-header{
 overflow: hidden;
 width: 100%;
 height: 100vh;
 background-image: url(img/bathroom_tiling_04.jpg);
 background-position: center;
 background-repeat: no-repeat;
 background-size: cover;
background-attachment: fixed;
 text-align: center;
 }

.service-header h1{
  padding-top: 5.5rem;
    font-size: 3.2rem;
    color: white;
 }

 .service-header p{
   padding-top: 2rem;
   padding-bottom: 8rem;
     font-size: 1.7rem;
     color: white;
 }

 .service-header a{
   text-decoration: none;
   font-size: 1.3rem;
   letter-spacing: 0.1rem;
   text-transform: uppercase;
   color: white;
   background: #0095daff;
   padding: 0.8rem 2rem;
   border-radius: 5px;
 }
 .service-header a:hover{
   color: var(--primary-clr);
   background: white;
   font-weight: 800;
   transition: 0.2s ease-in;


 }


/* ABOUT COMPANY */

main{
  position: relative;
  width: 100%;
  height: auto;
  background-image: url(img/bg1.png);
  background-repeat: repeat-y;
  background-size: cover;
  background-position: center;
}

.main-text{
  display: flex;
  flex-direction: column;
  padding-top: 90px;
  align-items: center;
}
.main-text h3{
  font-size: 2rem;
}

.main-text p{
  font-size: 1.3rem;
  padding-top: 50px;
  line-height: 1.9rem;
}

.main-text ul{
  padding-top: 30px;
  padding-bottom: 120px;
  list-style: square;

}

.main-text ul li{
  font-size: 1.2rem;
  line-height: 1.7rem;


}

.warranties {
  width: 70%;
  height: auto;
  margin-bottom: 100px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 5rem;

}

.warranties h3{
  font-size: 1.5rem;
  color: var(--primary-clr);
}

.warranties p{
  font-size: 1.2rem;
}

/* OUR WORK */

.our-work {
  width: 100%;
  height: auto;
  background-color: var(--secondary-clr);
  text-align: center;
}

.our-work h2{
  font-size: 2.5rem;
  padding-top: 70px;
  padding-bottom: 70px;
  color: white;
}
.kitchen-tiling{
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 800px;
  background-image: url(img/kitchen_tiling_01.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.about-kitchen{
  width: 35%;
  height: auto;
  position: absolute;
  bottom: 0;
  left: 5%;
  background-color: #e0e0e2;
  text-align: center;
  padding-bottom: 50px;

}

.about-kitchen h3{
 font-size: 2rem;
 padding-top: 50px;
}
.about-kitchen p{
  font-size: 1.2rem;
  padding: 30px 30px 70px 30px;
  line-height: 2rem;
}
.about-kitchen a{
  background-color: var(--primary-clr);
  color: white;
 padding: 10px 40px;
 text-decoration: none;
 font-size: 1rem;
 text-transform: uppercase;
}
.about-kitchen a:hover{
 background-color: transparent;
  border: 3px solid var(--primary-clr);
  color: var(--primary-clr);
}

.bathroom-tiling{
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 800px;
  background-image: url(img/bathroom_tiling_03.jpg);
  border-top: 50px solid #e0e0e2;
  border-right: 200px solid #e0e0e2;
  border-bottom: 50px solid #e0e0e2;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.about-bathroom{
  width: 35%;
  height: auto;
  position: absolute;
  bottom: 10%;
  right: -5%;
  background-color: white;
  color: black;
  text-align: center;
  padding-bottom: 50px;
}

.about-bathroom h3{
 font-size: 2rem;
 padding-top: 50px;
}
.about-bathroom p{
  font-size: 1.2rem;
  padding: 30px 30px 70px 30px;
  line-height: 2rem;
}
.about-bathroom a{
  background-color: var(--primary-clr);
  color: white;
 padding: 10px 40px;
 text-decoration: none;
 font-size: 1rem;
 text-transform: uppercase;
}
.about-bathroom a:hover{
 background-color: transparent;
  border: 3px solid var(--primary-clr);
  color: var(--primary-clr);
}


.outdoor-tiling{
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 800px;
  background-image: url(img/outdoor_tiling_01.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  border-bottom: 50px solid #e0e0e2;
}
.about-outdoor{
  width: 35%;
  height: auto;
  position: absolute;
  bottom: -2px;
  left: 5%;
  background-color: #e0e0e2;
  text-align: center;
  padding-bottom: 50px;
}

.about-outdoor h3{
 font-size: 2rem;
 padding-top: 50px;
}
.about-outdoor p{
  font-size: 1.2rem;
  padding: 30px 30px 70px 30px;
  line-height: 2rem;
}
.about-outdoor a{
  background-color: var(--primary-clr);
  color: white;
 padding: 10px 40px;
 text-decoration: none;
 font-size: 1rem;
 text-transform: uppercase;
}
.about-outdoor a:hover{
 background-color: transparent;
  border: 3px solid var(--primary-clr);
  color: var(--primary-clr);
}

.heating{
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 600px;
  background-image: url(img/heating.jpg);
  background-attachment: fixed;
  border-top: 50px solid #e0e0e2;
  border-right: 200px solid #e0e0e2;
  border-bottom: 50px solid #e0e0e2;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.about-heating{
  width: 39%;
  height: auto;
  position: absolute;
  top: 5%;
  right: -5%;
  background-color: white;
  color: black;
  text-align: center;
}

.about-heating h3{
 font-size: 2rem;
 padding-top: 50px;
}
.about-heating p{
  font-size: 1.2rem;
  padding: 30px 30px 70px 30px;
  line-height: 2rem;
}

.approve{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  background-image: url(img/bg2.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.approve h2{
  font-size: 2rem;
  padding-top: 4rem;
  padding-bottom: 4rem;
  text-align: center;
  color: white;
}

.approve-img {
  width: 80%;
  margin: 0 auto;
  height: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-gap: 2rem;
  padding-bottom: 4rem;
}

.approve-img a img{
  width: 100%;
  height: 100%;
}




.testimonials{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

 #testimonials{
  width: 100%;
  height: auto;
  background-color: white;
}

#testimonials h3{
  padding-top: 100px;
  font-size: 2rem;
  text-align: center;
}


article {
  text-align: center;
  padding-bottom: 100px;
}

article p{
  padding: 50px;
  font-size: 1.2rem;
  line-height: 1.7rem;
}
article span{
  font-style: italic;
  font-size: 1.2rem;
}



/* CONTACT */

.contact-info{
  width: 100%;
  height: 80vh;
  background-image: url(img/bg2.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  text-align: center;
}

.contact-info h2{
  font-size: 2.5rem;
  text-transform: uppercase;
  color: white;
  padding-top: 120px;
  padding-bottom: 20px;

}
.contact-info p{
  font-size: 1.5rem;
  color: white;
  padding-top: 20px;
  margin-bottom: 2rem;
}
.mail-info a, .tel-info a{
  color: var(--primary-clr);
  text-decoration: none;

}
.mail-info{
  margin-top: 20px;
}

/*  FOOTER  */

footer {
  width: 100%;
  height: auto;
  background-image: url(img/bg2.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  text-align: center;
padding-bottom: 20px;
}
footer span{
color: white;
font-size: 0.8rem;
}

footer span a{
text-decoration: none;
color: var(--primary-clr);
font-size: 0.9rem;
}

.bottom-info{
  text-align: center;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding-top: 3.5rem;
  padding-right: 4.5rem;
  padding-bottom: 3rem;
}

.footer-info a{
  color: var(--primary-clr);
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  font-size: 1.2rem;
  text-decoration: none;
  line-height: 2rem;

}



@media screen and (max-width: 1320px) {
  #navbar {
    display: none;
  }
  .hamburger{
    display: block;
  }

  #navbar.active {
    display: block;
    position: absolute;
    top: 150px;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: black;
    flex-direction: column;
    align-items: center;
    padding-left: 100px;
    padding-top: 50px;
  }
  .bathroom-tiling{
    border-top: 50px solid #e0e0e2;
    border-right: 80px solid #e0e0e2;
    border-bottom: 50px solid #e0e0e2;

  }

  .about-bathroom{
    width: 40%;
    height: 90%;
    padding-right: -5rem;

  }

  .heating{
    border-top: 50px solid #e0e0e2;
    border-right: 80px solid #e0e0e2;
    border-bottom: 50px solid #e0e0e2;

  }

  .about-heating{
    width: 40%;
    height: 90%;
    padding-right: -5rem;

  }

  #navbar ul li{
  display: block;
  padding-bottom: 30px;

  }
  #navbar ul li a{
  font-size: 1.2rem;

  }
  .social{

    padding-top: 30px;

  }
  .quote{
    margin-top: 30px;
  }

  #testimonials{
   padding-bottom: 50px;
 }

}

@media screen and (max-width: 1135px) {

  header h1{
  padding-top: 80px;
    font-size: 3rem;
    color: white;
  }

  header p{
  padding-top: 20px;
  padding-bottom: 120px;
    font-size: 1.5rem;
    color: white;
  }
  .main-text h3{
    font-size: 1.8rem;
  }

  .main-text p{
    font-size: 1.1rem;
    padding-top: 50px;
    line-height: 1.9rem;
    padding-right: 20px;
    padding-left: 20px;
  }

  .about-kitchen h3{
   font-size: 1.5rem;
   padding-top: 50px;
  }
  .about-kitchen p{
    font-size: 1.3rem;
    padding: 30px 20px 60px 20px;
    line-height: 1.7rem;
  }


  .about-bathroom h3{
   font-size: 1.5rem;
   padding-top: 50px;
  }
  .about-bathroom p{
    font-size: 1.3rem;
    padding: 30px 20px 60px 20px;
    line-height: 1.7rem;
  }
  .about-outdoor h3{
   font-size: 1.5rem;
   padding-top: 50px;
  }
  .about-outdoor p{
    font-size: 1.3rem;
    padding: 30px 20px 60px 20px;
    line-height: 1.7rem;
  }

  .about-heating h3{
   font-size: 1.5rem;
   padding-top: 50px;
  }
  .about-heating p{
    font-size: 1.3rem;
    padding: 30px 20px 60px 20px;
    line-height: 1.7rem;
  }



  .testimonials{
    display: grid;
    grid-template-columns: 1fr;
  }
  article {
    padding: 1rem;
    font-size: 1.2rem;
  }

  .warranties {
    width: 80%;
    margin-bottom: 80px;
    display: grid;
    grid-template-columns: 1fr ;
    grid-gap: 5rem;

  }


  .warranties h3{
    font-size: 1.5rem;
    color: var(--primary-clr);
    text-align: center;
  }

  .warranties p{
    font-size: 1.2rem;
  }
}
@media screen and (max-width: 820px) {
  .social{
    margin-bottom: 1.5rem;
    margin-right: 0;
  }

  .main-header{

  background-attachment: initial;
  }

  .main-header h1{
  padding-top: 4rem;
    font-size: 2.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
      }

  .main-header p{
  padding-top: 3rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-bottom: 6rem;
    font-size: 1.5rem;
  }

  .galery-header h1{
  padding-top: 4rem;
    font-size: 2.5rem;
      }

  .galery-header p{
  padding-top: 3rem;
  padding-bottom: 6rem;
    font-size: 1.5rem;
  }

  .service-header{
 background-attachment: initial;
  ;
  }

  .service-header h1{
  padding-top: 4rem;
    font-size: 2.5rem;
      }

  .service-header p{
  padding-top: 3rem;
  padding-bottom: 6rem;
    font-size: 1.5rem;
  }
  .about-kitchen{
    opacity: 0.8;
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 20%;
    left: 0;
  }

  .about-bathroom{
    opacity: 0.8;
    width: 100%;
    height: auto;
    position: absolute;
    bottom: -1px;
    right: 0;

  }
  .about-outdoor{
    opacity: 0.8;
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 20%;
    left: 0;

  }

  .about-heating{
    opacity: 0.8;
    width: 100%;
    height: auto;
    position: absolute;
    bottom: -1px;
    right: 0;

  }

  .bathroom-tiling{
    border-right: 0px;
    background-attachment: initial;
  }

  .heating{
    border-right: 0px;
    background-attachment: initial;
  }

  .bottom-info{
    align-items: center;
    justify-content: center;
    grid-template-columns: 1fr;
    padding-top: 2rem;
    padding-bottom: 3rem;
    padding-right: 0;

  }
  .main-text{

    padding-top: 90px;
    padding-left: 2rem;
    padding-right: 2rem;
    align-items: center;
  }

  .galery-header{
  background-attachment: initial;
  }


  .galery-wrap{

    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 2px;
    padding: 5px;
  }
  .footer-info a{
    margin-top: 0.8rem;
    display: flex;
    flex-direction: column;
    font-size: 1.2rem;
    text-decoration: none;
    line-height: 2rem;

  }
  .warranties {
    width: 90%;
    margin-bottom: 80px;


  }

  .logo a img{
    width: 210px;
    height: 55px;
    margin-left: 1rem;
  }

  .approve-img {
    width: 100%;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 2rem;
    padding-bottom: 4rem;
  }

}
